#
# spec file for package beagle (Version 0.3.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           beagle
BuildRequires:  art-sharp2 avahi-mono chmlib-devel desktop-data dos2unix epiphany-devel evolution-sharp fdupes gconf-sharp2 glade-sharp2 gmime-sharp gnome-sharp2 gsf-sharp intltool librsvg-devel mono-basic mono-data-sqlite mono-devel monodoc-core ndesk-dbus-glib-devel perl-XML-Parser shared-mime-info sqlite-devel taglib-sharp tango-icon-theme unzip update-desktop-files wv-devel xorg-x11-devel xorg-x11-libs zip
%ifnarch s390 s390x
BuildRequires:  banshee-1-devel
BuildRequires:  taglib-sharp-devel
%endif
%define prefix   /usr
%define sysconfdir /etc/
License:        Apache Software License .. ; MIT License (or similar)
Group:          Productivity/Other
Version:        0.3.9
Release:        9.11.1
Summary:        Desktop Search Application
Url:            http://beagle-project.org
Source:         %{name}-%{version}.tar.bz2
Source1:        system-search.png
# PATCH-FIX-OPENSUSE beagle-firefox-makefile.patch -- Install Firefox extension in the right spot for suse
Patch1:         beagle-firefox-makefile.patch
# PATCH-FIX-UPSTREAM beagle-log-level.patch bgo582353 joeshaw@novell.com -- Turn down the default log verbosity
Patch3:         beagle-log-level-warn.patch
# PATCH-FIX-OPENSUSE fix-desktop-files.diff bnc360676  maw@novell.com -- Should be removed when bug is fixed; this is just a bad rpmlint check
Patch7:         fix-desktop-files.diff
# PATCH-FEATURE-OPENSUSE beagle-help-path.patch bnc310895 joeshaw@novell.com -- Search language bundle paths
Patch9:         beagle-help-path.patch
# PATCH-FEATURE-UPSTREAM beagle-scale-results.patch bgo582354 -- Scale number of results based on window size
Patch10:        beagle-scale-results.patch
# PATCH-FIX-UPSTREAM beagle-epiphany-version.patch maw@novell.com
Patch11:        beagle-epiphany-version.patch
# PATCH-FEATURE-UPSTREAM beagle-banshee-support.patch bgo582356 abockover@novell.com -- Add BansheeQueryable support for indexing the Banshee collection
Patch12:        beagle-banshee-support.patch
# PATCH-FEATURE-UPSTREAM beagle-fix-scale-results.patch bgo582354 -- This is a follow-up of beagle-scale-results.patch
Patch14:        beagle-fix-scale-results.patch
# PATCH-FEATURE-UPSTREAM beagle-propose-autostart.patch fate305296 bgo588965 vuntz@novell.com -- Propose to autostart the deamon on login when it's not active, instead of just starting it now
Patch15:        beagle-propose-autostart.patch
# PATCH-FIX-UPSTREAM beagle-0.3.8-fx35.patch bjorn.lie@gmail.com -- make beagle-firefox compatible with Firefox 3.5, fixed in git
Patch16:        beagle-0.3.8-fx35.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         /usr/sbin/groupadd /usr/sbin/useradd /bin/rm
Requires:       mono-core >= 1.1.13.5
Requires:       mono-web mono-data-sqlite
Requires:       wv glib-sharp2 gtk-sharp2
Requires:       gmime-sharp >= 2.2.1 gsf-sharp >= 0.6
Requires:       shared-mime-info desktop-data
Requires:       /usr/bin/pdftotext
Requires:       %{name}-lang = %{version}
Recommends:     cron

%description
Beagle is a search tool that ransacks your personal information space
to find whatever you might be looking for. Beagle is a Linux
desktop-independent service which transparently and unobtrusively
indexes your data in real-time.

Beagle supports many different data sources and file formats,
   including: * Documents

* E-mails

* Web browsing history

* IM and IRC conversations

* RSS Feeds

* Images

* Videos

* Music files

* Archives and their contents

* Applications

* ... and more.

%package -n beagle-gui
License:        Apache Software License .. ; MIT License (or similar)
#'
Summary:        Graphical User Interface for the Desktop Search Application Beagle
Group:          Productivity/Other
Requires:       gconf-sharp2 glade-sharp2 glib-sharp2 gtk-sharp2

%description -n beagle-gui
Beagle is a search tool that ransacks your personal information space
to find whatever you are looking for. This package contains the
graphical user interface.

%package -n beagle-evolution
License:        Apache Software License .. ; MIT License (or similar)
Summary:        Evolution Plugin for the Desktop search application beagle
Group:          Productivity/Other
Requires:       evolution-sharp >= 0.9.1

%description -n beagle-evolution
Beagle is a search tool that ransacks your personal information space
to find whatever you are looking for. This plugin contains Evolution
support for beagle.

%package -n beagle-firefox
License:        Apache Software License .. ; MIT License (or similar)
Summary:        Firefox Plugin for the Desktop search application beagle
Group:          Productivity/Other
Requires:       MozillaFirefox

%description -n beagle-firefox
Beagle is a search tool that ransacks your personal information space
to find whatever you are looking for. This package contains a Plugin
for using Beagle in Firefox.

%package -n beagle-epiphany
License:        Apache Software License .. ; MIT License (or similar)
Summary:        Epiphany Plugin for the Desktop search application beagle
Group:          Productivity/Other
Requires:       epiphany

%description -n beagle-epiphany
Beagle is a search tool that ransacks your personal information space
to find whatever you are looking for. This package contains a Plugin
for using Beagle in Epiphany.

%package -n beagle-google
License:        Apache Software License .. ; MIT License (or similar)
Summary:        GMail Plugin for the Desktop search application beagle
Group:          Productivity/Other

%description -n beagle-google
Beagle is a search tool that ransacks your personal information space
to find whatever you are looking for. This plugin contains GMail
support for beagle.

%package -n beagle-thunderbird
License:        Apache Software License .. ; MIT License (or similar)
Summary:        Thunderbird plugin for the Desktop search application Beagle
Group:          Productivity/Other
Requires:       MozillaThunderbird

%description -n beagle-thunderbird
Beagle is a search tool that ransacks your personal information space
to find whatever you are looking for. This package contains a Plugin
for using Beagle in Thunderbird.

%package devel
License:        Apache Software License .. ; MIT License (or similar)
Summary:        Desktop Search Application
Group:          Development/Languages/Mono
Requires:       beagle

%description devel
Beagle is a search tool that ransacks your personal information space
to find whatever you might be looking for. Beagle is a Linux
desktop-independent service which transparently and unobtrusively
indexes your data in real-time.

Beagle supports many different data sources and file formats,
   including: * Documents

* E-mails

* Web browsing history

* IM and IRC conversations

* RSS Feeds

* Images

* Videos

* Music files

* Archives and their contents

* Applications

* ... and more.

%lang_package
%prep
%setup -q
%patch1
%patch3
%patch7
%patch9
%patch10
%patch11 -p2
%ifnarch s390 s390x
%patch12
%endif
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
intltoolize --copy --force --automake
libtoolize -f
aclocal -I .
autoheader
autoconf
automake --add-missing
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%configure --disable-static --with-pic \
    --mandir=%prefix/share/man \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var \
    --disable-schemas-install \
    --libexecdir=/usr/lib/beagle \
%if 0
    --enable-epiphany-extension \
    --enable-epiphany-extension-install \
%endif
    --enable-thunderbird \
    --enable-avahi \
    --disable-libbeagle \
    --disable-python
%__make

%install
%makeinstall
# This is highly gross.
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
cp %{S:1} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/beagle-system-search.png 
# Change sr@Latn to sr@latin
mv %{buildroot}%{_datadir}/locale/sr@Latn %{buildroot}%{_datadir}/locale/sr@latin
%find_lang %{name}
# See https://features.opensuse.org/305296
rm $RPM_BUILD_ROOT%{sysconfdir}/xdg/autostart/beagle-search-autostart.desktop
rm $RPM_BUILD_ROOT%{sysconfdir}/xdg/autostart/beagled-autostart.desktop
#rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/epiphany/*/extensions/*.*a
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/beagle/*.*a
mkdir -p $RPM_BUILD_ROOT/var/cache/beagle/indexes
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}
unzip -o $RPM_BUILD_ROOT%{prefix}/%{_lib}/browser-extensions/firefox/beagle.xpi -d $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/browser-extensions/firefox/beagle.xpi
rm $RPM_BUILD_ROOT%{sysconfdir}/beagle/crawl-rules/crawl-windows
%suse_update_desktop_file -N "Search Settings" -r beagle-settings Settings Utility Filesystem X-SuSE-ControlCenter-System
%suse_update_desktop_file -G "" beagle-search
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Remove if moving to icon theme icon or when openSUSE 11.0 is EOL
if [ -d /usr/share/pixmaps/beagle-system-search.png ] ; then
   rm -rf /usr/share/pixmaps/beagle-system-search.png
fi
/usr/sbin/groupadd -r beagleindex 2> /dev/null || :
/usr/sbin/useradd -r -o -s /bin/bash -c "User for Beagle indexing" -d /var/cache/beagle -g beagleindex beagleindex 2> /dev/null || :

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{prefix}/bin/beagle-config
%{prefix}/bin/beagled
%{prefix}/bin/beagle-doc-extractor
%{prefix}/bin/beagle-extract-content
%{prefix}/bin/beagle-index-info
%{prefix}/bin/beagle-info
%{prefix}/bin/beagle-ping
%{prefix}/bin/beagle-query
%{prefix}/bin/beagle-shutdown
%{prefix}/bin/beagle-static-query
%{prefix}/bin/beagle-status
%{prefix}/bin/blocate
%{prefix}/sbin/*
%{prefix}/%_lib/beagle/BeagleDaemonLib.dll*
%{prefix}/%_lib/beagle/BeagleDaemonPlugins.dll*
%{prefix}/%_lib/beagle/Beagle.dll*
%{prefix}/%_lib/beagle/Util.dll*
%{prefix}/%_lib/beagle/BeagleDaemon.exe*
%{prefix}/%_lib/beagle/BuildIndex.exe*
%{prefix}/%_lib/beagle/Config.exe*
%{prefix}/%_lib/beagle/DocExtractor.exe*
%{prefix}/%_lib/beagle/DumpIndex.exe*
%{prefix}/%_lib/beagle/ExtractContent.exe*
%{prefix}/%_lib/beagle/IndexHelper.exe*
%{prefix}/%_lib/beagle/Info.exe*
%{prefix}/%_lib/beagle/ManageIndex.exe*
%{prefix}/%_lib/beagle/Query.exe*
%{prefix}/%_lib/beagle/RemovableIndex.exe*
%{prefix}/%_lib/beagle/StaticQuery.exe*
%{prefix}/%_lib/beagle/Shutdown.exe*
%{prefix}/%_lib/beagle/beagled-index-helper
%{prefix}/%_lib/beagle/libbeagleglue*
%{prefix}/%_lib/beagle/keygrabber.py
%{prefix}/%_lib/beagle/Filters/*
%{prefix}/share/beagle
%{prefix}/share/man/man1/*.1.gz
%{prefix}/share/man/man8/*.8.gz
%{prefix}/share/pixmaps/*.png
%dir %{sysconfdir}/beagle
%dir %{sysconfdir}/beagle/config-files
%dir %{sysconfdir}/beagle/crawl-rules
%{sysconfdir}/beagle/external-filters.xml.sample
%config %{sysconfdir}/beagle/blocate.conf
%config %{sysconfdir}/beagle/query-mapping.xml
%config %{sysconfdir}/beagle/crawl-rules/crawl-applications
%config %{sysconfdir}/beagle/crawl-rules/crawl-documentation
%config %{sysconfdir}/beagle/crawl-rules/crawl-executables
%config %{sysconfdir}/beagle/crawl-rules/crawl-manpages
%config %{sysconfdir}/beagle/crawl-rules/crawl-monodoc
%config %{sysconfdir}/beagle/config-files/*.xml
%{sysconfdir}/cron.daily/beagle-crawl-system
%attr(-,beagleindex,beagleindex) /var/cache/beagle
%attr(-,beagleindex,beagleindex) /var/cache/beagle/indexes
%dir %{prefix}/%_lib/beagle
%dir %{prefix}/%_lib/beagle/Backends
%dir %{prefix}/%_lib/beagle/Filters

%files lang -f %{name}.lang

%files -n beagle-gui
%defattr(-, root, root)
%dir %{prefix}/%_lib/beagle
%{prefix}/bin/beagle-imlogviewer
%{prefix}/bin/beagle-search
%{prefix}/bin/beagle-settings
%{prefix}/%_lib/beagle/UiUtil.dll*
%{prefix}/%_lib/beagle/ImLogViewer.exe*
%{prefix}/%_lib/beagle/Beagle.Search.exe*
%{prefix}/%_lib/beagle/Settings.exe*
%{prefix}/%_lib/beagle/libbeagleuiglue*
%{prefix}/share/applications/*.desktop
%{prefix}/share/man/man8/beagle-imlogviewer.8.gz
%ifnarch s390 s390x
%{prefix}/%_lib/beagle/Backends/Banshee.CollectionIndexer.dll*
%{prefix}/%_lib/beagle/Backends/BansheeBackends.dll*
%endif

%files -n beagle-evolution
%defattr(-, root, root)
%{prefix}/%_lib/beagle/Backends/EvolutionBackends.dll*

%files -n beagle-firefox
%defattr(-, root, root)
%dir %{_datadir}/mozilla/
%dir %{_datadir}/mozilla/extensions
%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}
%if 0
# Note: remove the "if 0" in configure too when removing this one

%files -n beagle-epiphany
%defattr(-, root, root)
%{prefix}/%_lib/epiphany
%endif

%files -n beagle-google
%defattr(-, root, root)
%{prefix}/%_lib/beagle/Backends/GoogleBackends.dll*

%files -n beagle-thunderbird
%defattr(-, root, root)
%{prefix}/%_lib/beagle/Backends/ThunderbirdBackends.dll*

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/lib/monodoc/sources/beagle-docs.*

%changelog
* Mon Aug 16 2010 meissner@suse.de
- bump the maximum Mozilla revision from 3.5 to 3.6
  bnc#624697
* Fri Oct 23 2009 dimstar@opensuse.org
- BuildRequire taglib-sharp-devel.
* Fri Aug 14 2009 vuntz@novell.com
- Remove AutoReqProv: it's default now.
* Sun Aug  9 2009 bjorn.lie@gmail.com
- Added beagle-0.3.8-fx35.patch: Patch copyied from Fedora. Needed
  for making beagle-firefox compatible with Mozilla Firefox 3.5.
* Tue Aug  4 2009 vuntz@novell.com
- Update beagle-epiphany-version.patch to handle newer epiphany.
- Disable the epiphany package, still, because the epiphany
  extension needs to be ported to epiphany 2.27. When it will be
  the case, then it will just build again by default.
* Fri Jul 17 2009 vuntz@novell.com
- Stop installing the autostart file by default, so that beagle
  gets disabled by default.
- Add beagle-propose-autostart.patch: when a search is done and the
  daemon is not active, a page proposes the user to start the
  daemon. This patch also proposes the user to always autostart the
  daemon on login.
- This is FATE#305296.
* Tue May 12 2009 vuntz@novell.com
- Correctly tag beagle-firefox-makefile.patch,
  beagle-log-level-warn.patch, fix-desktop-files.diff,
  beagle-help-path.patch, beagle-scale-results.patch,
  beagle-banshee-support.patch, beagle-fix-scale-results.patch.
* Mon Apr 20 2009 crrodriguez@suse.de
- use --disable-static instead of removing static libraries
* Mon Apr  6 2009 vuntz@novell.com
- Respin fix-desktop-files.diff that doesn't apply with new patch
  package.
* Thu Feb 26 2009 vuntz@novell.com
- Update beagle-epiphany-version.patch to handle epiphany 2.26.
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Sat Jan 31 2009 mboman@suse.de
- Update to version 0.3.9:
  + Fix a problem of undeleted tmpfiles when running under mono-2.
  + Fix build problems with Gnome.Vfs.MimeApplication
  + Fix bgo#543635. Handle quoted queries like
    artist:abcd"1234 578".
  + Ignore non-http URLs in the firefox extension - fixes the ugly
    javascript error popup.
  + Fix bgo#547641 - don't crash while minimizing search groups.
  + Fix bgo#549549 - don't crash while opening a mimetype without
    associated application.
  + Fix bgo#546871 - synchronize serialization with libbeagle.
  + Fix bgo#551898 - make sure hotkey changes via beagle-settings
    is immediately picked up by beagle-search.
  + Fix bgo#553159 - use system sys/inotify.h.
  + Fix bgo#561429 - add support for Kopete KDE4.
  + Fix bgo#556002 - make beagle-status FreeBSD compatible.
  + Fix bgo#560812 - add translator-credit tab in the About
    dialog.
  + Fix bgo#544607 - deal with .desktop files which have empty
    lines before the [Desktop Entry] group.
  + Do now show duplicate tasks in the list of cancelled tasks.
  + Use BEAGLE_DEBUG environment variable to enable/disable debug
    at runtime for specific classes.
  + Fix bgo#564460 - clean up GLib and GTK+ includes.
  + Translation updates
- Remove beagle-fix-toggle-crash.patch. Fixed upstream
- Change sr@Latn to sr@latin
- Update beagle-epiphany-version.patch to support epiphany 2.25
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Mon Dec 22 2008 ro@suse.de
- fix build on s390 s390x (no banshee there)
* Wed Dec 10 2008 pwu@suse.de
- Fixes a bug introduced by beagle-scale-results.patch.
  Add a new patch beagle-fix-scale-results.patch. (bnc#457882)
* Sat Dec  6 2008 mauro@suse.de
- Added updated translations.
* Thu Oct 16 2008 crivera@suse.de
- Add beagle-fix-toggle-crash.patch.  This fixes bnc#433205.
* Mon Oct 13 2008 abockover@suse.de
- Add beagle-banshee-support.patch, implementing Beagle indexing of the
  Banshee collection (ECO, fate#5152)
* Tue Aug 19 2008 maw@suse.de
- Add beagle-epiphany-version.patch, enabling beagle to build
  against newer versions of epiphany.
* Wed Jul 16 2008 jpr@suse.de
- Update to 0.3.8
  * Add a SemWeb based adapter for querying beagle using RDF.
  * Add the GMail backend related options to beagle-settings-qt.
  * Add a BibTex filter based on the command line program 'bibparse'.
  * Add infrastructure and command-line tools to create and manage
  static indexes for removable sources.
  * Add a crawl-rule for indexing executables in /usr/bin, /bin etc.
  * Add beagle-crawl-system [--list] [crawl-<name>] options to list
  the system  indexes and selectively update only one system index.
  * Add support for snippets for remote beagled query.
  * Add support for KDE4 konqueror history.
  * Show a drop-down list in beagle-search to choose search categories.
  * Add menu options to beagle-search to start and stop beagled and
  show index statistics.
  * Enable the Open-With context-menu in beagle-search results.
  * Include a python script to grab shortcut keys from beagle-settings
  (distributed under GPL3).
  * Focus the search entry is there are no results initially.
  Fixes #529540.
  * Fix a regression where searching applications and other system
  wide indexes were disabled by default in beagle-search.
  * Use the correct protocol for evolution-tasks "task:///...".
  Fixes #530624.
  * Handle corrupt config files. Fixes #532308.
  * Fix parsing of Opera history cache. Fixes #533529.
  * If the firefox extension does not find ~/.beagle, show the message
  in the icon tooltip instead of showing the disruptive alert.
  Fixes debian #463922, bnc #385513.
  * Handle rogue backends if they start throwing lots of errors.
  * Fix the spreadsheet filter which was broken since 2007!
  * Correctly generate URIs for child-indexables (e.g. archive contents,
  docbook entries). Fixes #535020.
  * Fix the docbook filter to not return unnecessary matches when only
  one docbook section matches the query.
  * Show an error dialog if beagle-settings encounters an unhandled
  exception.  Fixes #541134.
  * Always show the filename separately in the beagle-search results.
  * Do not index javascript: pages in the firefox extension.
  * Properly parse Pidgin log files with smilies; these lines used
  to throw an exception earlier.
  * Support KMail-3 in KDE4. Fixes #540153.
  * The FileSystem backend now correctly handles filenames in a
  non-utf8 locale if MONO_EXTERNAL_ENCODINGS is set to the platform
  encoding.  Fixes #440458.
  * Fix a bug where beagled sometimes returns less than 100 (max-results)
  results even though more results are available.
  * Translations
- Drop beagle-firefox-error.patch, beagle-firefox-error.patch,
  beagle-new-camel-bindings,
  beagle-urifu-add-number-sign-unescaped.patch,
  beagle-add-number-sign.patch all upstream now.
- Recommend cron for indexing building
* Tue Jul  1 2008 pwu@suse.de
- Add beagle-urifu-add-number-sign-unescaped.patch and
  beagle-add-number-sign.patch from upstream:
  http://bugzilla.gnome.org/show_bug.cgi?id=535020.
  Avoid to escape '#' in uri to %%23 (bnc #372186).
* Fri Jun 27 2008 maw@suse.de
- Add beagle-new-camel-bindings.patch to deal with changes
  in evolution-sharp's API.
* Mon May 26 2008 jpr@suse.de
- Take patch from upstream to have less intrusive error on LiveCD
  (bnc #385513)
* Mon May 12 2008 jpr@suse.de
- Require /usr/bin/pdftotext instead of xpdf-tools (bnc #386457)
* Thu Apr 24 2008 jpr@suse.de
- Update to 0.3.7
  * Work around a mono feature/bug where mono might hang trying to get a
  gdb backtrace in the event of a native library segmentation fault.
  * Fix regression in 0.3.4 (content of Tomboy notes were not
  indexed). For bug-fix backports please merge r4656.
  * Use an icon from the Tomboy project for displaying note tiles in
  beagle-search. Package this icon with beagle-search.
  * Add a GMail and Google Apps email live search backend.
  * Add option to store and retrieve GMail password from KDE Wallet.
  * Show query-domain selection menu in beagle-search. Replace
  "--network yes|no" with "--domain ..." options in beagle-query for
  full choice of query domains.
  * Update Firefox extension to Firefox 3.0.
  * Add a 'locate' based backend to supplement the FileSystem
  backend.
  * Update F-Spot files from latest F-Spot svn trunk. Update the JPEG
  filter to use the managed Tiff parser instead of libexif. Drop
  libexif dependency.
  * Display network search related options in beagle-settings.
  * Fix the network-service backend.
  * Catch the galago dllnotfoundexception and prevent a crash (relevant
  for Debian libgalago1.0-cil package).
  * Add 'blocate' - a 'locate' like tool to query static indexes without
  running beagled
  * Translations
- Makes beagle extension work with Firefox 3.0 (bnc #381320,
  bnc #352661))
- Resolve hang extracting data from image (bnc #381681)
* Mon Apr 14 2008 crivera@suse.de
- Add beagle-scale-results.patch for FATE#301071.
  This scales the number of hits shown for each
  category based on the window size.
* Sun Apr 13 2008 aj@suse.de
- Fix typo in requires for beagle-epiphany.
* Fri Apr  4 2008 jpr@suse.de
- Update to 0.3.5
  * Fix build with recent NDesk-DBus.
  * Fix building of Epiphany extension and add support for Epiphany 2.22
  * Fix a grey window bug and a crash on pressing shortcut key in
  beagle-search
- Remove beagle-epiphany.patch its upstream
- Build the epiphany plugin and put it in its own package
- Enable the avahi support
* Wed Mar 26 2008 jpr@suse.de
- Make sure autostart file is translated (bnc #360676)
* Mon Mar 24 2008 jpr@suse.de
- Update to version 0.3.4
  * Need Mono at least 1.2.6; recommended at 1.9
  * GMime-sharp recommended at least 2.2.16
  * Add API to set the number of words and the total length of the
  snippets.
  * Move to Lucene.Net 2.1 (backported a faster analyzer and
  other improvements).
  * Move query mapping (e.g. mappings for ext:, genre:) to a separate
  user editable /etc/beagle/query-mapping.xml (global) and
  ~/.beagle/query-mapping.xml (local). beagled needs to be restarted
  to read the new mappings.
  * Expose a Hide/Show DBus interface for beagle-search.
  * Firefox search bar plugin to query using beagle's web interface.
  * Add a tool beagle-static-query to query beagle without starting
  beagled. This is mainly meant for static indexes (like locate
  with the system index, like mod for a monodoc index).
  * Lots of beagle-search beautification.
  * Add a query mapping "filename:" to query for filenames and words
  in it (e.g. match My in MyFile.txt and My_File.txt).
  * Enable the TeXinfo filter.
  * Add a filter for .info files (including gz/bz2/lzma compressed
  info files). manpages crawl rule now contains /usr/share/info.
  * SIGUSR2 will now also print runtime debugging information of
  beagled.
  * Use the new Mono.Unix.UnixSignal if built with mono 1.9. This
  should remove the last of the beagled/index-helper hangs
  during shutdown.
  * Add the missing files for the firefox extension sidebar.
  * Show a better error message if ~/.beagle is not found when the
  firefox extension is started (should help debian #463922).
  * Fixes #514252 (evo backends now explicitly reference glib-sharp)
  * Fixes #509487 (use LANG=C when external programs are started
  from any filter)
  * Fix build with mono 1.9 and gnome-sharp 2.20 (#514252, #518220)
  * Fix property change indexing (renames, moves etc.) which broke
  in 0.3.0
  * Fix our filter matching algorithm to correctly choose filters in
  the right order and move to the next one if one filter fails.
  * Fix file leak in ebuild filter.
  * Clean up some tmp files which could have left behind during
  a corner case.
  * Fix a startup crash in the Pidgin backend if the Pidgin log
  directory is absent during beagled startup.
  * Check for msgfmt in ./configure before building.
  * Fix some bugs in snippet due to which valid matches were not
  included in the snippets.
  * Do not throw error if scheduler information and index information
  is empty since they can actually be empty.
  * Translations
* Mon Mar 24 2008 maw@suse.de
- Fix build requirements.
* Mon Mar 17 2008 jpr@suse.de
- Fix upgrade of package from broken icon installation (#365854)
* Wed Mar  5 2008 jpr@suse.de
- Fix icon installation (#365854)
* Fri Feb 22 2008 ro@suse.de
- accept epiphany versions 2.21 and 2.22 in configure
* Mon Feb 11 2008 jpr@suse.de
- Update to 0.3.3
  * Prevent few potential crashes in EvolutionDataServer backend.
  * Fix a null reference exception in imlogviewer when no buddy alias is
  set.
  * Fix beagle-search to allow filetype: queries.
  * Fix filtering of media files by Totem and MPlayer.
  * Fix the URIs in Konqueror web history backend to be of the right
  form. Also prevent it from flooding the buffer cache during initial
  crawling.
  * Fix autostarting of beagle-search in Gnome (fixes #507786).
  * Fix a potential crash in EvolutionMail backend due to an incorrect
  and obsolete type casting (merge patch from Debian).
  * Disable building static indexes for all the static indexes (merge
  patch from Debian).
  * xdgmimecache.c contained a fix for bugs.freedesktop.org #12512 which
  is not present in the GTK+ copy. Revert the change that removed the
  fix.
  * Add a view in beagle-search to show the current index information.
  * Add a new tile in beagle-searcj for manpages. Several fixes to the
  documentation tile as well. Searching documentation is disabled by
  default but can be enabled by passing --search-docs to
  beagle-search.
  * Add an LZMA (7zip) based filter for lzma compressed man pages.
  * Prevent beagle log manager from printing the same exception
  repeatedly. Instead only print the first line followed by a
  "(Repeated)". This will make beagle go easy with the log file size.
  * Add a Qt UI for beagle-settings using Qyoto.
  * Add an advanced query syntax "inuri:" to match data with query word
  in the uri. The implementation is backend specific and usually
  relevent for web history and bookmark backends.
  * A partial implementation of "inuri:" for the filesystem backend to
  query for files in a particular directory (not recurive). The option
  to inuri: could either be a word in the name of the directory or the
  file:/// uri of the directory. Live queries (where a new directory is
  created that matches the inuri value) are not supported for inuri
  queries against the filesystem backend.
  * Add a firefox sidebar to the firefox-beagle extension. The sidebar
  will allow querying in indexed webpages and bookmarks. The sidebar
  requires the web interface to be enabl\ ed (for querying from local
  machine).
  * Use Sqlite prepared statements in textcache and file attribute
  databases.
  * Add configure options to control whether to always use the internal
  taglib-sharp or an external taglib-sharp. Useful for source based
  distributions.
  * Use "--indexing-delay -1" as an option to start beagled in query
  only mode.
  * Add an environment variable BEAGLE_FORCE_GC to do a forceful
  collection in beagled (disabled by default).
  * Enable system-wide manpage index.
  * Port beagle to LINGUAS (fixes #510172).
  * Translations
- Remove beagle-gmime-stream-seek.patch, it is upstream
- Remove beagle-xdgmime-reload-crash.patch, it is upstream
- Remove beagle-gui-no-autostart.patch, both KDE and GNOME support
  the same semantics now and this was never support at all pre 10.3
- Remove non-icon changes from fix-desktop-files.diff,
  %%suse_update_desktop_file can handle those
- Copying sidebar.xul into place from upstream, fixed for 0.3.4 and
  newer
* Tue Jan 29 2008 jpr@suse.de
- Pull patch from upstream that fixes problems with large mail boxes
* Mon Jan 21 2008 jpr@suse.de
- Update to 0.3.2
  * Use Hal to monitor battery and AC power. Earlier we monitored a
  fixed set of files in the /proc filesystem. Now we require
  NDesk-DBus.
  * Fix building with mono 1.2.6 [bgo #503639].
  * Add a couple of Avahi specific missing files.
  * Fix several bugs in handling exclude directories and patterns in
  the Filesystem backend.
  * Fix a crash in the Nautilus backend when it tries to index
  temporary files [bgo #504192].
  * Fix monodoc and manpages filter. Add support for gzip and bzip2
  compressed manpages.
  * Fix a bug in beagle-build-index where new files would not be
  indexed.
  * Fix --enable-deletion in beagle-build-index. Set --enable-deletion
  for system-wide indexes.
  * New Empathy backend.
  * Store file size for files from the filesystem, in archives and
  in email attachments.
  * Show a larger snippet in the tooltip in beagle-search.
  * Allow users to bookmark webinterface searches.
  * Also display the time of recently modified results in the
  webinterface.
  * Add --write-xml and --read-xml options to beagle-config to enable
  non-C# programs to read and set config options.
  * Show documentation results in beagle-search when started with
  - -search-docs option.
  * Add system-wide crawl rules for manpages and monodoc files.
  Keep them disabled by default.
  * Show the system-wide indexes in the backend chooser of
  beagle-settings.
  * Translations
  * Fix a crash sqlite3 users will face at startup when upgrading from
  0.2.x.
  * Workaround a problem in which some HTML emails could cause
  the index-helper to take lots of memory and go into an infinite
  loop [bgo #501803].
  * Fix a bug in which beagle-settings would grow wide on long
  directories [bgo #469298].
  * Hide the Avahi service settings if Avahi was not enabled at
  configure time.
  * Drop our Images.dll assembly; instead load Tango icons from the icon
  theme and stock icons [bgo #398533].
  * Workaround a crash in mono when hostname is 16 characters or longer.
  * Update video tiles layout in beagle-search.
  * Use bash for all our scripts. Makes it possible to run
  beagle-index-info where /bin/sh is not linked to /bin/bash.
  * Many speed and memory performance improvements in both indexing and
  searching throughout the code.
  * Support for date queries in the query language.  For example,
  "date:2006" will return documents from 2006.  "date:2005.04" will
  return documents from April 2005.  Ranges are also supported.  For
  example, "date:2006.05.01-2007" will return all documents
  between May 1, 2006 and December 31, 2006.
  * Rewritten Thunderbird backend, which uses a Thunderbird extension to
  send data to be indexed to the Beagle daemon.
  * All new Firefox and Epiphany extensions.
  * Experimental network searches.  You can search between multiple
  Beagle daemons, which can be automatically discovered through
  Avahi.  Daemons can also be manually configured, useful for WAN
  searches.
  * Experimental web interface to the Beagle daemon.  An AJAX interface
  allows users to search for data through their web browser.
  * Support for additional external metadata on previously-indexed
  documents.  This allows new backends or external applications to
  attach metadata that can then be searched on.
  * New Nautilus metadata backend, implemented on top of the new
  external metadata support.  Indexes Nautilus emblems and notes, and
  adds search keywords for these.
  * Snowball analyzers are now used to process text.  This is the first
  step toward language specific analyzers.
  * New Opera history backend.
  * Individual backends can now be enabled and disabled using the
  beagle-settings tool.
  * Ignored file patterns (like *.o, *.a, *~, etc.) are no longer
  hardcoded, and can be set through the configuration.
  * Changes to our TextCache to use a sqlite database for small files
  and on-disk files for larger ones.  This makes the disk usage of the
  TextCache much more efficient.
  * Use Mono's updated Mono.Data.Sqlite code, rather than our own hacked
  up copy of the old Mono.Data.SqliteClient code.  As a result of
  this, we now require sqlite3.
  * A new configuration system, which allows system administrators to
  set defaults in /etc/beagle/config-files.  This also makes it easier
  for backend and filter authors to add their own configuration
  settings.
  * Use taglib-sharp (replacing unmaintained entagged-sharp) for
  extracting metadata from audio files.
  * An option to turn off aggressive indexing of data while the
  screensaver is on.
  * A new classification for files -- the "file type" -- which
  classifies similar types together.  For instance, PNGs, JPEGs, and
  GIFs all have file type "image".  These can be searched using the
  "filetype" keyword.
  * Now store snippets for emails.
  * New extended attribute format.  Beagle now uses a single extended
  attribute, user.Beagle, to store all of its information.  The old
  format is migrated to the new one as files are reindexed.
  * Queries are run serially rather than in parallel, since most of the
  search overhead is in disk IO.  Reduces memory usage considerably,
  and helps prevent disk thrashing on large searches.
  * Print out warnings about possibly insufficient inotify watches, and
  don't periodically recrawl directories that don't have them.  Fixes
  the 100%% CPU indexing loop bug of death.
  * Various tweaks to the scheduler, to make throttle large numbers of
  tasks better.
  * Handle large batches of file deletions (ie, an "rm -rf" on a
  directory) and file additions (ie, untarring into a watched
  directory) in a much more efficient manner.
  * Require evolution-sharp 0.12, which implies Evlution 2.8 or 2.10
  because of API changes to the library.
  * Some experimental support for XMP sidecar files.
  * A new QueryPart for searching explicitly for URIs.
  * Support for excluding KMail folders.
  * Support for indexing Evolution notes.
  * Refactor the indexing of IM conversations.
  * New TeX filter.
  * Structure snippets rather than returning them as HTML strings.
  This gives application authors considerably more control over how
  to display them.
  * Scan the first 4k of files to determine their MIME type in addition
  to looking at the file extension, and choose the better match.
  * PDFs are now included when indexing system documentation.
  * Improvements to indexing files inside archives.  Now all extracted
  files are handled in the index helper process, removing a costly
  round trip.
  * Redirect crash logs from Mono into the Beagle log files.  They were
  previously lost and users had to reproduce problems with --fg.
  * Add many more keywords to the query language; run beagle-query
  - -keywords to see a full list.
- Remove epiphany-max-version.patch, upstream configure checks
  handle this properly now
- Remove beagle-no-index-on-battery.patch, this is the upstream
  default now
- Add -devel package
- Remove libbeagle.spec, its a separate tarball now
- Remove Obsoletes: holmes, that predates 10.0
* Fri Sep 21 2007 joeshaw@suse.de
- Add a patch to fix a crash when building the beagle-index
  package.  (Part of bnc #326808, bugs.freedesktop.org #12512)
* Tue Sep 18 2007 maw@suse.de
- Respin fix-desktop-files.diff and rename %%{_datadir}/system-search.png
  to %%{_datadir}/beagle-system-search.png (#307290).
* Mon Sep 17 2007 joeshaw@suse.de
- Oops, accidentally submitted package with lang package
  %%files section commented out.
* Mon Sep 17 2007 joeshaw@suse.de
- Add /usr/share/gnome/help-bundle and /opt/kde3/share/help-bundle
  to the documentation index paths.  bnc #310895
* Thu Sep 13 2007 stbinner@suse.de
- '%%suse_update_desktop_file -G "" foo' doesn't seem to work anymore
* Tue Sep  4 2007 ro@suse.de
- split off libbeagle-python from libbeagle to reduce deps
- add rpmlintrc now that libbeagle contains only a c library
* Tue Aug 28 2007 joeshaw@suse.de
- Add a patch to turn off indexing by default while on battery
  power.  bnc #299002.
* Mon Aug 27 2007 joeshaw@suse.de
- Update to 0.2.18.  Works against updated API in evolution-sharp
  0.13.3.  Fixes bgo bugs #463803, #426573, #466891, #463003, and
  [#454656].
* Wed Aug  8 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Mon Aug  6 2007 sbrabec@suse.cz
- Build with just splitted gmime-sharp.
* Fri Aug  3 2007 jpr@suse.de
- Fix build with new evolution-sharp versions
* Mon Jul 16 2007 coolo@suse.de
- disable epiphany extension to fix build
* Wed Jun  6 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Thu May 24 2007 stbinner@suse.de
- remove X-SuSE-translate from .desktop file
* Tue May  8 2007 joeshaw@suse.de
- Update to 0.2.17.
* Mon Apr 30 2007 ro@suse.de
- fix typo in specfile
* Fri Apr  6 2007 maw@suse.de
- Add epiphany-max-version.patch, allowing the epiphany extension
  to be built against epiphany 2.18.
* Thu Mar 29 2007 joeshaw@suse.de
- Add a patch to handle empty OpenOffice documents.  (bnc #259031)
- Add unzip to BuildRequires
* Tue Mar 20 2007 joeshaw@suse.de
- Specify the gtk-doc directory in the libbeagle-doc package, to
  fix the build.
* Thu Mar 15 2007 joeshaw@suse.de
- Update to 0.2.16.3:
  - Updated translations from the Novell language team.
  - Fix the archive filter to not throw exceptions of a large or
    broken file is skipped.
  - Fix the archive filter to not leave behind files in /tmp if
    extracting an archive fails for some reason. (bgo #415056)
  - Fix a bug in which an idle daemon wouldn't shut down when the
    user logged out.  We now more closely monitor the X
    connection.
  - Fix a bug in which prohibited date queries didn't work at
    all.
  - Set our process name in beagle-extract-content, so that it
    doesn't show up as "mono".
  - Fix a memory leak by reusing our inotify callback.
  - Start beagled with the --replace option in our autostart
    script, so that any old daemons left behind are replaced on
    subsequent logins.
- Install HTML docs into new libbeagle-doc package.
* Sun Mar 11 2007 stbinner@suse.de
- fix build (/etc/xdg/autostart ownership)
* Tue Feb 27 2007 dmueller@suse.de
- adjust buildrequires: libexif -> libexif-devel
* Thu Feb 22 2007 joeshaw@suse.de
- Update to 0.2.16.2:
  - Put some limits on the sizes of files extracted from
    archives, to prevent /tmp from filling up.  (bnc #244490 and
    [#228718]).
  - Fix the CHM filter.  (bgo #408047)
  - Limit the PDF tools to 100 megs address space.  (bgo #335461)
  - Add --disable-on-battery to beagle-build-index, and turn it
    on when building the documentation index, since it can take a
    long time to build.  (bgo #383789)
* Wed Feb  7 2007 joeshaw@suse.de
- Update to 0.2.16, a bug fix release.
  - Fix bugs in the JPEG, PDF, and SVG filters.
  - Work around a deadlock in Mono (bgo #402065)
  - Fix a problem in our sqlite schema that caused Beagle to loop
    on a single directory.
  - Fix indexing of KMail folders (bnc #238161, bgo #391647 and
    [#401767])
  - Fix bugs in backends reporting that the initial indexing is
    still running even after it has finished.
  - Work around a SharpZipLib bug that could cause beagle to
    loop infinitely on some archive files.  (bgo #402280)
* Fri Jan 26 2007 joeshaw@suse.de
- Update to 0.2.15.1:
  - Large memory reduction on Evo IMAP folders
  - Uses SCHED_BATCH scheduler policy
  - Prevent text extraction helpers from running away
  - MS Word text extractor moved out of process for reliability
  - beagle-dump-index diagnostic tool
  - Many other bug fixes.
- Remove obsoleted patches
* Fri Jan 19 2007 joeshaw@suse.de
- Don't install the beagle-search autostart .desktop file,
  because we have search built into the GNOME and KDE start
  menus.  (bnc #231720, bnc #236461)
* Thu Jan 18 2007 stbinner@suse.de
- add KOrganizer backend (upstream r3259, Fate 3591 and 3592)
* Fri Jan 12 2007 joeshaw@suse.de
- Fix the package build for the move of GNOME from /opt/gnome to
  /usr.
* Tue Jan  9 2007 joeshaw@suse.de
- Clean up BuildRequires in libbeagle
* Tue Jan  2 2007 jhargadon@suse.de
- Removed unneeded libbeagle libtool files (#223694)
* Fri Dec 15 2006 joeshaw@suse.de
- Update to 0.2.14:
  - Adds archive filter (bnc #130982)
  - Adds progress notification during indexing.  (fate #301218)
  - Fixes many memory leaks, excess allocations, and
    unnecessarily held references.  (fate #301059, bnc #220793)
  - Many bug fixes since 0.2.12.
* Fri Nov 24 2006 aj@suse.de
- Revert last change (#223511).
* Wed Nov 22 2006 stbinner@suse.de
- make libbeagle package require beagle package
* Tue Nov 21 2006 joeshaw@suse.de
- Add a patch to fix a problem in which all matching results
  aren't returned.  (bnc #222788)
* Mon Nov 20 2006 joeshaw@suse.de
- Add a patch to fix indexing of Word, Powerpoint, and CHM files.
  (bnc #222661)
* Wed Nov 15 2006 joeshaw@suse.de
- Add a patch to fix a file descriptor leak in the Konqueror
  history backend.  (bnc #219786)
* Wed Nov 15 2006 joeshaw@suse.de
- Update Hungarian translation.  (bnc #220306)
* Tue Nov 14 2006 joeshaw@suse.de
- Move the non-libbeagle pkgconfig files back into the beagle
  package, where they belong.  This fixes a bug in which those
  pkgconfig files has /usr/local set as their prefix.
* Thu Nov  2 2006 joeshaw@suse.de
- Update to 0.2.12:
  - Significant memory reductions
  - Fixes to KAddressbook and KNotes backends
  - Performance improvements to daily cron jobs
* Tue Oct 31 2006 rodrigo@suse.de
- Install GNOME autostart files to /opt/gnome/share/gnome/autostart
  (#208680)
* Fri Oct 20 2006 joeshaw@suse.de
- Update to 0.2.11:
  - Improves search time performance
  - Adds KNotes backend
  - Adds KAddressbook backend (fate #3596)
* Sun Oct 15 2006 stbinner@suse.de
- fix build on 64 bit
* Wed Oct  4 2006 stbinner@suse.de
- quick break up of beagle and libbeagle builds
* Mon Sep 25 2006 joeshaw@suse.de
- Add %%py_requires to libbeagle.  Fixes bnc #207921
* Tue Sep 19 2006 stbinner@suse.de
- fix build for 10.1
* Tue Sep 19 2006 joeshaw@suse.de
- Update package to 0.2.10.  Fixes bgo #354161, #354776, #351913,
  [#355239], #348139, and probably most seriously #355932. Also
  fixes a handful of other small bugs.
- Reenable the Epiphany extension now that it works with 2.16
* Fri Sep 15 2006 joeshaw@suse.de
- Add a call to intltoolize in our %%configure section to fix the
  build with newer intltools.
* Tue Sep 12 2006 jhargadon@suse.de
- added a patch to fix an error with a function that could return
  random data in beagle-scheduler-information.c and
  beagle-queryable-status.c
* Sun Sep  3 2006 aj@suse.de
- Cleanup BuildRequires.
- Fix build - do not package epiphany until beagle works with
  epiphany 2.16.
* Fri Sep  1 2006 joeshaw@suse.de
- Update package to 0.2.9 and remove obsolete patch
- Create a new beagle-thunderbird package which contains the
  thunderbird backend.
* Thu Aug 17 2006 cthiel@suse.de
- buildrequire python-gtk-devel instead of python-gobject2-devel
* Wed Aug 16 2006 ro@suse.de
- added python-gobject2-devel to BuildRequires
* Tue Jul 11 2006 stbinner@suse.de
- Add upstream patch to fix libbeagle socket path for NFS
* Mon Jul 10 2006 joeshaw@suse.de
- Add back in one of the patches which is still relevant.
* Thu Jul  6 2006 joeshaw@suse.de
- Upgrade package to 0.2.7; remove all the patches that have
  accumulated over time.
* Thu Jun 29 2006 aj@suse.de
- Patch from Zhe Su to fix #179555:
  * Use translation files
  * rediff chinese translation
- Fix version check in spec file.
* Mon Jun 26 2006 gekker@suse.de
- Update translations for .fr
* Fri Jun 23 2006 joeshaw@suse.de
- Add a patch to catch exceptions when calling the GetChanges()
  methods on calendars and addressbooks.  bnc #187792.
* Thu Jun 22 2006 gekker@suse.de
- Update translations for zh_CN (#179555)
* Mon Jun 19 2006 joeshaw@suse.de
- Add a patch to work around a mono bug so that dangling symlinks
  in ~/.beagle/Log are cleaned up.  bnc #185856.
- Fix the beagled autostart delay to be 300 seconds (5 minutes),
  rather than the 500 seconds I had mistakenly set previously.
* Fri Jun 16 2006 gekker@suse.de
- Update translations for ja
* Thu Jun 15 2006 joeshaw@suse.de
- Add a patch to use SafeProcess to start the index helper
  process, which will automatically (and immediately) reap zombie
  child processes.  Fixes bnc #185069.
* Tue Jun 13 2006 sreeves@suse.de
- Fix for 182999 - Change beagle settings name
* Mon Jun 12 2006 joeshaw@suse.de
- Don't split up a calendar's description field if it's empty.
  Fixes bnc #183722.
* Thu Jun  8 2006 danw@suse.de
- Make sure that if a tile gets wider, the window gets wider as well
  (rather than just hiding the rightmost part of the search area).
  [#181355].
* Tue Jun  6 2006 gekker@suse.de
- Install the firefox plugin in /usr/lib (#181675)
* Fri Jun  2 2006 gekker@suse.de
- UPdate translations for de
* Tue May 30 2006 gekker@suse.de
- Update translations for de,es,fr,hu,it,ja,pt_BR,zh_CN,zh_TW
* Mon May 29 2006 joeshaw@suse.de
- Update zh_CN translation.  (bnc #179555)
* Fri May 26 2006 joeshaw@suse.de
- Add a patch to remove terminal entries from beagle-search
  results when command-line lockdown is enabled.  (bnc #179333)
* Tue May 23 2006 joeshaw@suse.de
- Add a patch to check for mmap() in configure.in
- Run autoheader in the %%setup section so we get the mmap check.
- Add a patch for fix a crash in xdgmime when the underlying
  data changes.  (bnc #165304, bgo #339815, brc #89964, bfo #6824)
* Mon May 22 2006 joeshaw@suse.de
- Don't index /windows partitions by default.  (bnc #177579)
* Fri May 19 2006 gekker@suse.de
- Update translations for cs
* Thu May 11 2006 danw@suse.de
- Update calendar tile patch to only show the first line of events
  with very long descriptions. #174398
* Wed May  3 2006 joeshaw@suse.de
- Add a patch to detect audio/x-vorbis+ogg as a valid music mime
  type.  (Beagle equivalent of bnc #169616)
* Tue May  2 2006 joeshaw@suse.de
- Add a patch to fix up how the ImLogViewer deals with Kopete
  logs.  Make sure to select the right log to extract the "speaking
  to" name, and wrap the log parsing in a try-catch so we can
  ignore logs that aren't valid XML.  (bnc #169792)
- Fix a broken shell substitution in the beagle-imlogviewer script.
* Thu Apr 27 2006 sbrabec@suse.cz
- Fixed typo in cs.po.
* Thu Apr 27 2006 joeshaw@suse.de
- Add patch which fixes HTML being returned in snippets for gaim
  logs and tomboy notes.  (bgo #333261, #328770)
* Tue Apr 25 2006 joeshaw@suse.de
- Add a patch to not hardcode the beagle-settings window size.
  (bnc #169133, bgo #331161)
- Update beagle-hu.patch to fix broken markup.  (bnc #169122)
* Mon Apr 24 2006 joeshaw@suse.de
- Update the calendar patch to correctly display dates in the
  future.
* Mon Apr 24 2006 joeshaw@suse.de
- Add patch to include calendar items in the beagle-search GUI,
  and make double-clicking on a contact open it in evolution.
- Add patch to fix launching of shell scripts with the new
  process stuff.
- Add patch to fix infinite looping in filters that set an
  error.
* Wed Apr 19 2006 joeshaw@suse.de
- Add a patch to check for various places where our filesystem
  could race and we would throw harmless but annoying exceptions.
  (Noticed in bnc #139622)
- Add a patch to back out an upstream change to work around a
  Mono bug, because that change was buggy and is no longer needed
  since we're including a newer Mono than 1.1.13.4.  (bnc #139622,
  will also fix bgo #335178 and #338165 when the requirement
  changes upstream)
* Tue Apr 18 2006 sbrabec@suse.cz
- Fixed Hungarian translation (#167345).
* Fri Apr 14 2006 joeshaw@suse.de
- Add a patch for shutting down cleanly when the X connection is
  broken.  (bnc #159219, bgo #334792)
- Add a patch to only print a warning about increasing your
  inotify limit once, so we don't fill up .xsession-errors.
- Add a patch to safely execute external programs from filters
  and the beagle-search UI.  (bnc #165668)
- Add a patch to use standard IO rather than mmap() for our
  OLE-based filters (ie, MS Word), when OpenOffice writes to it
  quickly.  (bnc #165304)
* Thu Apr 13 2006 sbrabec@suse.cz
- Use new control-center Categories instead of old ones.
* Tue Apr 11 2006 gekker@suse.de
- Don't launch beagle-search on SLED10 and later (#165287)
* Fri Apr  7 2006 joeshaw@suse.de
- Add a patch to add indicies to the sqlite database.  Speeds up
  beagle-build-index on large trees tremendously.  (bgo #337444)
- Use cron.daily for running beagle-crawl-system.  (bnc #147943)
* Wed Apr  5 2006 joeshaw@suse.de
- Fix the warning level patch to also apply to the index helper
  process.
- Add a patch to use native calls in Lucene's locking, to fix a
  common lock timeout bug and work around a mono issue. (bnc
  [#163237])
* Fri Mar 31 2006 gekker@suse.de
- Fix crashes in beagle search (#161421,bgo#336708)
* Fri Mar 24 2006 joeshaw@suse.de
- Fix alignment of widgets in the search bar.  Fixes bnc #153001.
* Wed Mar 22 2006 joeshaw@suse.de
- Add a patch which fixes CWD checks in various shell scripts.
  Fixes bnc #159700.
* Fri Mar 17 2006 joeshaw@suse.de
- Update to 0.2.3.  Contains a workaround for a bad mono leak
  which would cause beagled to use excessive amounts of memory.
- Add a patch to lower the default log level to "Warn" from
  "Debug".
* Tue Mar 14 2006 danw@suse.de
- fix beagle-search to use desktop-launch, and fix dependencies
  accordingly. #156928
* Tue Mar  7 2006 ro@suse.de
- make filelist more fuzzy (.mdb files may be moved to debuginfo
  package)
* Tue Mar  7 2006 joeshaw@suse.de
- Update tarball to 0.2.2.1.  Brown paper bag release that fixes
  configure on 64-bit machines.
* Tue Mar  7 2006 joeshaw@suse.de
- Update tarball to 0.2.2.  Fixes bnc #118588, #150604, and the
  beagle portion of #147947.  Also integrates the patches for
  [#148311] and #147577.  Also fixes roughly 50 bgo bugs, many of
  them minor UI bugs.
- Remove several obsolete patches, regenerate the secure paths
  patch to apply cleanly.
* Mon Feb 20 2006 dmueller@suse.de
- move libbeagleuiglue into beagle-ui
* Mon Feb 20 2006 sbrabec@suse.cz
- Removed obsolete lib64 patch (115329#c12).
* Sat Feb 18 2006 stbinner@suse.de
- fix capitalization typo in Name of .desktop file
* Sat Feb 18 2006 gekker@suse.de
- Fixup .desktop files for UI team
* Fri Feb 17 2006 joeshaw@suse.de
- Remove gmime version requirement patch since it's no longer
  necessary.
* Tue Feb 14 2006 stbinner@suse.de
- added upstream patch to quit beagled on unknown parameter
* Sat Feb 11 2006 joeshaw@suse.de
- Set a 5 minute delay in indexing to avoid disk thrash when
  autostarting the daemon.
- Autostart the beagle-search GUI for 10.1
- Fix 64-bit unclean code in the Mono.Data.SqliteClient we
  cut-and-pasted into Beagle. (bnc #148311)
* Mon Feb  6 2006 joeshaw@suse.de
- Query for the screensaver extension before trying to use it.
  (bnc #148219)
* Mon Feb  6 2006 ro@suse.de
- fix build for < 10.1
* Sun Feb  5 2006 aj@suse.de
- Package /etc/beagle to make it build again.
* Fri Feb  3 2006 joeshaw@suse.de
- Add a patch to fix leaving of tmpfiles in KMail backend.
  (bnc #147577)
* Fri Feb  3 2006 gekker@suse.de
- Add %%config to the files in /etc/beagle (#147942)
* Wed Feb  1 2006 stbinner@suse.de
- Fix beagle split: move .desktop files into beagle-gui
* Mon Jan 30 2006 joeshaw@suse.de
- Update broken tarball
* Mon Jan 30 2006 joeshaw@suse.de
- Update packae to version 0.2.1
- Split out GUI parts into beagle-gui, which should reduce deps
  on core beagle package
* Fri Jan 27 2006 gekker@suse.de
- Drop gnome-icon-theme from requires, not needed
- Drop gtk-sharp-complete and specify the needed subpackages
* Thu Jan 26 2006 joeshaw@suse.de
- Remove galago dependency for now; we're not using it
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 joeshaw@suse.de
- Update package to version 0.2.0
* Wed Jan 18 2006 ro@suse.de
- fix build with new gmime
* Tue Jan 17 2006 meissner@suse.de
- added -fstack-protector
* Fri Jan 13 2006 gekker@suse.de
- Fixup nfb and Requires for new gtk-sharp2 packaging
* Mon Jan  9 2006 joeshaw@suse.de
- Don't reference Tiles.dll since we're not building it.  Fixes
  the Holmes build
* Wed Jan  4 2006 gekker@suse.de
- Don't install beagle.xpi, just it's contents (#120329)
- Fix build in x86_64
* Wed Jan  4 2006 joeshaw@suse.de
- Remove an unnecessary warning patch.
- Update lib64 patch to apply cleanly to 0.1.4
- add -fno-strict-aliasing to the python wrapper
* Thu Dec 22 2005 joeshaw@suse.de
- Update package to version 0.1.4
- Disable building of best, since we're now shipping holmes, and
  it'll soon be integrated into the beagle tarball.
- Split off beagle-evolution and beagle-firefox packages, so that
  the core package depends on fewer things.
* Fri Dec  9 2005 gekker@suse.de
- Requires mozilla -> mozilla-xulrunner
* Fri Dec  9 2005 rodrigo@suse.de
- Install desktop files for autostart in GNOME.
* Tue Dec  6 2005 joeshaw@suse.de
- Update package to version 0.1.3
- Remove a couple patches that have been upstreamed
- Package python bindings in libbeagle package
* Thu Dec  1 2005 gekker@suse.de
- Fix %%post and %%postun scripts
* Thu Dec  1 2005 sbrabec@suse.cz
- Fixed missing include.
- Require xpdf-tools only for 10.1 and later.
* Mon Nov 28 2005 gekker@suse.de
- Don't require xpdf and xpdf-config only xpdf-tools (#135444)
* Mon Nov 28 2005 gekker@suse.de
- Fix install of beagle.xpi on x86_64.
* Tue Nov 22 2005 joeshaw@suse.de
- Unpack beagle.xpi into /usr/lib/browser-extensions/firefox/{UUID}
  for Firefox 1.5 support
* Mon Nov 14 2005 sbrabec@suse.cz
- Fixed lib64 patch.
* Fri Nov 11 2005 gekker@suse.de
- Update to version 0.1.2
- Require mono version 1.1.10 or later
- Remove upstreamed patch
* Mon Nov  7 2005 sbrabec@suse.cz
- Renamed gecko-sharp-2_0 to gecko-sharp2 in Requires (#132436).
* Mon Oct 24 2005 sbrabec@suse.cz
- Enabled epiphany plugin.
- Fixed syntax error in Czech translation.
- Fixed scriptlets.
* Fri Oct 21 2005 ro@suse.de
- rename gecko-sharp-2_0 to gecko-sharp2 in nfb
* Mon Oct 17 2005 gekker@suse.de
- Add a fixed best.png for the icon file.
* Wed Oct 12 2005 ro@suse.de
- use mozilla-devel-packages in nfb
- try xulrunner if nothing else is found
* Tue Oct  4 2005 gekker@suse.de
- Update to version 0.1.1
- Remove upstreamed patches
* Fri Sep 30 2005 sbrabec@suse.cz
- Use secure paths in wrapper (#118188).
- Fixed for bi-arch (#115329).
* Thu Sep 15 2005 gekker@suse.de
- Don't load best multiple times if also loaded by session (116372)
* Mon Sep 12 2005 clahey@suse.de
- Fix handling of copied files more (116240 part 2)
* Sat Sep 10 2005 aj@suse.de
- We need to su to the beagleindex user, so give it a shell.
* Fri Sep  9 2005 gekker@suse.de
- Fix handling of copied files (116240)
- Fix creation of beagleindex user
- Fix owner of /var/cache/beagle (113424)
* Thu Sep  8 2005 gekker@suse.de
- Fix CPU hogging problem (115566)
- Handle stop words properly (302906)
- Escape backslashes properly in mail backend (314353)
- Handle symlinks better (315469)
- Support gzipped abiword formatted documents (315460)
* Thu Sep  8 2005 gekker@suse.de
- Add xpdf xpdf-config to requirements for pdf indexing (115688)
- Fix beagle to not create excessive files in /tmp (113626)
- Fix to properly handle moved and deleted files (113869)
- Fix beagle page load error in firefox (115322)
* Fri Sep  2 2005 gekker@suse.de
- Update to version 0.0.13.3
- Fixes (315072, 315073, 314329, 315074, 314990, 314885)
- Fixes (114824, 315139, 113626)
* Tue Aug 30 2005 aj@suse.de
- /usr/libexec is not allowed by FHS, use proper path.
* Mon Aug 29 2005 gekker@suse.de
- Update to version 0.0.13.2
- Fix building of indexes to occur at sane times (105796)
- Fix races when moving files (bgo 314329)
- Fix compiler warning
* Mon Aug 22 2005 gekker@suse.de
- Disable autostart in KDE
* Fri Aug 19 2005 gekker@suse.de
- Update to version 0.0.13.1
- Remove upstreamed patches
- Now requires gtk-sharp2 and gecko-sharp-2.0
- Fix autostart (102606)
- Add galago-sharp to requires (105722)
* Wed Aug 17 2005 gekker@suse.de
- Use beagle-index rather than nobody (104645).
* Tue Aug 16 2005 ro@suse.de
- remove banshee from nfb: not needed
* Mon Aug 15 2005 meissner@suse.de
- disable epi extensions temporarily.
* Sat Aug 13 2005 aj@suse.de
- Use /var/cache/beagle as cache.
* Fri Aug 12 2005 gekker@suse.de
- Update to version 0.0.13
- Remove upstreamed patches
- Get rid of dog icon
- Use --autostarted switch for (102606)
* Tue Aug  9 2005 gekker@suse.de
- Add x11-tools to nfb and requires (102326)
- Run best correctly when autostarted in KDE (102606)
* Mon Aug  8 2005 sbrabec@suse.cz
- Fixed build of epiphany extension.
* Mon Aug  8 2005 ro@suse.de
- nfb: sonance -> banshee
* Sun Aug  7 2005 aj@suse.de
- Disable epiphany-extensions for now.
* Fri Aug  5 2005 ro@suse.de
- remove epiphany-extensions-devel from nfb
* Wed Aug  3 2005 gekker@suse.de
- Install beagle.xpi for firefox, add preference for enabling it
- Start automatically on KDE (88335)
* Wed Jul 13 2005 sbrabec@suse.cz
- Bi-arch fix.
* Tue Jul 12 2005 sbrabec@suse.cz
- Updated to version 0.0.12.
- Prefix clash fixes.
- Removed unneeded static modules and .la files for modules.
- Build more modules.
* Thu Jul  7 2005 gekker@suse.de
- Fixed the rest of the warnings.
* Tue Jul  5 2005 clahey@suse.de
- Added libbeagle.
- Fixed warnings.
* Wed Jun 15 2005 gekker@suse.de
- Update to version 0.0.11.1
- Add gsf-sharp and libexif to Requires
- Remove dbus dependency as it is no longer required
* Wed Jun 15 2005 gekker@suse.de
- Update to version 0.0.11.
* Tue May 31 2005 gekker@suse.de
- Update to version 0.0.10.
* Sat May 14 2005 aj@suse.de
- Update to version 0.0.9.
* Thu May  5 2005 gekker@suse.de
- Remove gtk-sharp-gapi from Requires.
* Sat Mar 19 2005 gekker@suse.de
- Add beagle-uri-xml.patch, change best.desktop exec
* Sat Mar 19 2005 gekker@suse.de
- Update to version 0.0.8
* Sat Mar 19 2005 gekker@suse.de
- Update to verison 0.0.7.600
* Wed Mar 16 2005 gekker@suse.de
- Update to version 0.0.400
- Don't install beagled.desktop in /opt/kde3/share/autostart
* Wed Mar 16 2005 gekker@suse.de
- Update to version 0.0.7.300
* Mon Mar 14 2005 gekker@suse.de
- Update to version 0.0.7.200
- Add mono-data-sqlite to Requires (72161).
* Tue Mar  8 2005 gekker@suse.de
- Remove wsdl-crash.patch, no longer need to work around crash in mcs
* Mon Mar  7 2005 gekker@suse.de
- Update to version 0.0.7.100
* Mon Feb 28 2005 thoenig@suse.de
- removed dbus-1-devel from Requires (not needed)
* Mon Feb 28 2005 clahey@suse.de
- New version 0.0.6.200.
* Sat Feb 26 2005 gekker@suse.de
- add mono-web and dbus-1-devel to Requires
* Mon Feb 21 2005 gekker@suse.de
- Update to version 0.0.6.100
- This is the first version that works without inotify
- Add wsdl-crash.diff
* Fri Feb 18 2005 gekker@suse.de
- Update to version 0.0.6.1 (supports dbus-1-0.23.1).
* Fri Feb  4 2005 gekker@suse.de
- Initial import of beagle version 0.0.5
